Upstream information

CVE-2016-7056 at MITRE

Description

A timing attack flaw was found in OpenSSL 1.0.1u and before that could allow a malicious user with local access to recover ECDSA P-256 private keys.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  SUSE
Base Score 4.9
Vector AV:L/AC:L/Au:N/C:C/I:N/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact None
Availability Impact None

Note from the SUSE Security Team

This issue was fixed before the shipment of openssl 1.0.2, so only older versions are affected.

SUSE Bugzilla entries: 1005878 [RESOLVED / FIXED], 1018910 [NEW], 1019334 [RESOLVED / FIXED], 1025347 [CONFIRMED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • compat-openssl098 >= 0.9.8j-105.1
  • libopenssl0_9_8 >= 0.9.8j-105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-105.1
  • libopenssl1_0_0 >= 1.0.1i-54.5.1
  • libopenssl1_0_0-32bit >= 1.0.1i-54.5.1
  • openssl >= 1.0.1i-54.5.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-236
SUSE-SLE-DESKTOP-12-SP1-2017-319
SUSE Linux Enterprise Desktop 12 SP2
  • compat-openssl098 >= 0.9.8j-105.1
  • libopenssl0_9_8 >= 0.9.8j-105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-105.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-319
SUSE Linux Enterprise Desktop 12 SP3
  • libopenssl0_9_8 >= 0.9.8j-105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-105.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libopenssl0_9_8
SUSE Linux Enterprise Module for Basesystem 15
  • libopenssl-1_1-devel >= 1.1.0h-2.3
  • libopenssl-devel >= 1.1.0h-1.11
  • libopenssl1_1 >= 1.1.0h-2.3
  • libopenssl1_1-32bit >= 1.1.0h-2.3
  • libopenssl1_1-hmac >= 1.1.0h-2.3
  • libopenssl1_1-hmac-32bit >= 1.1.0h-2.3
  • openssl >= 1.1.0h-1.11
  • openssl-1_1 >= 1.1.0h-2.3
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libopenssl-1_1-devel
SUSE Linux Enterprise Module for Basesystem 15 GA libopenssl-devel
SUSE Linux Enterprise Module for Containers 12
  • sles12sp1-docker-image >= 1.0.7-20171002
Patchnames:
SUSE-SLE-Module-Containers-12-2017-1673
SUSE Linux Enterprise Module for Legacy Software 12
  • compat-openssl098 >= 0.9.8j-105.1
  • libopenssl0_9_8 >= 0.9.8j-105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-105.1
Patchnames:
SUSE-SLE-Module-Legacy-12-2017-319
SUSE Linux Enterprise Module for Legacy Software 15
  • libopenssl-1_0_0-devel >= 1.0.2n-1.32
  • libopenssl1_0_0 >= 1.0.2n-1.32
  • openssl-1_0_0 >= 1.0.2n-1.32
Patchnames:
SUSE Linux Enterprise Module for Legacy Software 15 GA libopenssl-1_0_0-devel
SUSE Linux Enterprise Point of Sale 11 SP3
  • libopenssl-devel >= 0.9.8j-0.105.1
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
sleposp3-openssl-12999
SUSE Linux Enterprise Server 11 SP3-LTSS
  • libopenssl-devel >= 0.9.8j-0.105.1
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
slessp3-openssl-12999
SUSE Linux Enterprise Server 11 SP4
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
slessp4-openssl-12999
SUSE Linux Enterprise Server 11-SECURITY
  • libopenssl1-devel >= 1.0.1g-0.57.1
  • libopenssl1_0_0 >= 1.0.1g-0.57.1
  • libopenssl1_0_0-32bit >= 1.0.1g-0.57.1
  • libopenssl1_0_0-x86 >= 1.0.1g-0.57.1
  • openssl1 >= 1.0.1g-0.57.1
  • openssl1-doc >= 1.0.1g-0.57.1
Patchnames:
secsp3-openssl1-12991
SUSE Linux Enterprise Server 12 SP1
  • libopenssl1_0_0 >= 1.0.1i-54.5.1
  • libopenssl1_0_0-32bit >= 1.0.1i-54.5.1
  • libopenssl1_0_0-hmac >= 1.0.1i-54.5.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-54.5.1
  • openssl >= 1.0.1i-54.5.1
  • openssl-doc >= 1.0.1i-54.5.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-236
SUSE Linux Enterprise Server 12-LTSS
  • libopenssl1_0_0 >= 1.0.1i-27.28.1
  • libopenssl1_0_0-32bit >= 1.0.1i-27.28.1
  • libopenssl1_0_0-hmac >= 1.0.1i-27.28.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-27.28.1
  • openssl >= 1.0.1i-27.28.1
  • openssl-doc >= 1.0.1i-27.28.1
Patchnames:
SUSE-SLE-SERVER-12-2018-79
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
  • libopenssl-devel >= 0.9.8j-0.105.1
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
slessp3-openssl-12999
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
slessp4-openssl-12999
SUSE Linux Enterprise Server for SAP Applications 11-SECURITY
  • libopenssl1-devel >= 1.0.1g-0.57.1
  • libopenssl1_0_0 >= 1.0.1g-0.57.1
  • libopenssl1_0_0-32bit >= 1.0.1g-0.57.1
  • libopenssl1_0_0-x86 >= 1.0.1g-0.57.1
  • openssl1 >= 1.0.1g-0.57.1
  • openssl1-doc >= 1.0.1g-0.57.1
Patchnames:
secsp3-openssl1-12991
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • compat-openssl098 >= 0.9.8j-105.1
  • libopenssl0_9_8 >= 0.9.8j-105.1
  • libopenssl1_0_0 >= 1.0.1i-54.5.1
  • libopenssl1_0_0-32bit >= 1.0.1i-54.5.1
  • libopenssl1_0_0-hmac >= 1.0.1i-54.5.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-54.5.1
  • openssl >= 1.0.1i-54.5.1
  • openssl-doc >= 1.0.1i-54.5.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2017-319
SUSE-SLE-SERVER-12-SP1-2017-236
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • compat-openssl098 >= 0.9.8j-105.1
  • libopenssl0_9_8 >= 0.9.8j-105.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2017-319
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • libopenssl1_0_0 >= 1.0.1i-27.28.1
  • libopenssl1_0_0-32bit >= 1.0.1i-27.28.1
  • libopenssl1_0_0-hmac >= 1.0.1i-27.28.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-27.28.1
  • openssl >= 1.0.1i-27.28.1
  • openssl-doc >= 1.0.1i-27.28.1
Patchnames:
SUSE-SLE-SERVER-12-2018-79
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libopenssl-devel >= 0.9.8j-0.105.1
  • libopenssl-devel-32bit >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
Patchnames:
sdksp4-openssl-12999
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libopenssl-devel >= 1.0.1i-54.5.1
  • openssl >= 1.0.1i-54.5.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-236
SUSE Manager 2.1
  • libopenssl-devel >= 0.9.8j-0.105.1
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
sleman21-openssl-12999
SUSE Manager Proxy 2.1
  • libopenssl-devel >= 0.9.8j-0.105.1
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
slemap21-openssl-12999
SUSE OpenStack Cloud 5
  • libopenssl-devel >= 0.9.8j-0.105.1
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
sleclo50sp3-openssl-12999
SUSE Studio Onsite 1.3
  • libopenssl-devel >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
Patchnames:
slestso13-openssl-12999
openSUSE Leap 15.0
  • libopenssl1_0_0 >= 1.0.2n-lp150.1.25
  • libopenssl1_1 >= 1.1.0h-lp150.2.1
  • libopenssl1_1-32bit >= 1.1.0h-lp150.2.1
  • openssl >= 1.1.0h-lp150.1.1
  • openssl-1_1 >= 1.1.0h-lp150.2.1
Patchnames:
openSUSE Leap 15.0 GA libopenssl1_0_0
openSUSE Leap 15.0 GA libopenssl1_1
openSUSE Leap 15.0 GA openssl
openSUSE Leap 42.1
  • libcrypto36 >= 2.3.0-10.1
  • libcrypto36-32bit >= 2.3.0-10.1
  • libcrypto36-debuginfo >= 2.3.0-10.1
  • libcrypto36-debuginfo-32bit >= 2.3.0-10.1
  • libcrypto41 >= 2.5.3-13.1
  • libcrypto41-32bit >= 2.5.3-13.1
  • libcrypto41-debuginfo >= 2.5.3-13.1
  • libcrypto41-debuginfo-32bit >= 2.5.3-13.1
  • libopenssl-devel >= 1.0.1i-21.1
  • libopenssl-devel-32bit >= 1.0.1i-21.1
  • libopenssl1_0_0 >= 1.0.1i-21.1
  • libopenssl1_0_0-32bit >= 1.0.1i-21.1
  • libopenssl1_0_0-debuginfo >= 1.0.1i-21.1
  • libopenssl1_0_0-debuginfo-32bit >= 1.0.1i-21.1
  • libopenssl1_0_0-hmac >= 1.0.1i-21.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-21.1
  • libressl >= 2.5.3-13.1
  • libressl-debuginfo >= 2.5.3-13.1
  • libressl-debugsource >= 2.5.3-13.1
  • libressl-devel >= 2.5.3-13.1
  • libressl-devel-32bit >= 2.5.3-13.1
  • libressl-devel-doc >= 2.5.3-13.1
  • libssl37 >= 2.3.0-10.1
  • libssl37-32bit >= 2.3.0-10.1
  • libssl37-debuginfo >= 2.3.0-10.1
  • libssl37-debuginfo-32bit >= 2.3.0-10.1
  • libssl43 >= 2.5.3-13.1
  • libssl43-32bit >= 2.5.3-13.1
  • libssl43-debuginfo >= 2.5.3-13.1
  • libssl43-debuginfo-32bit >= 2.5.3-13.1
  • libtls15 >= 2.5.3-13.1
  • libtls15-32bit >= 2.5.3-13.1
  • libtls15-debuginfo >= 2.5.3-13.1
  • libtls15-debuginfo-32bit >= 2.5.3-13.1
  • libtls9 >= 2.3.0-10.1
  • libtls9-32bit >= 2.3.0-10.1
  • libtls9-debuginfo >= 2.3.0-10.1
  • libtls9-debuginfo-32bit >= 2.3.0-10.1
  • openssl >= 1.0.1i-21.1
  • openssl-debuginfo >= 1.0.1i-21.1
  • openssl-debugsource >= 1.0.1i-21.1
  • openssl-doc >= 1.0.1i-21.1
Patchnames:
openSUSE-2017-222
openSUSE-2017-255
openSUSE-2017-560
openSUSE Leap 42.2
  • libcrypto36 >= 2.3.0-10.1
  • libcrypto36-32bit >= 2.3.0-10.1
  • libcrypto36-debuginfo >= 2.3.0-10.1
  • libcrypto36-debuginfo-32bit >= 2.3.0-10.1
  • libcrypto37 >= 2.3.4-3.1
  • libcrypto37-32bit >= 2.3.4-3.1
  • libcrypto37-debuginfo >= 2.3.4-3.1
  • libcrypto37-debuginfo-32bit >= 2.3.4-3.1
  • libcrypto41 >= 2.5.3-5.3.1
  • libcrypto41-32bit >= 2.5.3-5.3.1
  • libcrypto41-debuginfo >= 2.5.3-5.3.1
  • libcrypto41-debuginfo-32bit >= 2.5.3-5.3.1
  • libressl >= 2.5.3-5.3.1
  • libressl-debuginfo >= 2.5.3-5.3.1
  • libressl-debugsource >= 2.5.3-5.3.1
  • libressl-devel >= 2.5.3-5.3.1
  • libressl-devel-32bit >= 2.5.3-5.3.1
  • libressl-devel-doc >= 2.5.3-5.3.1
  • libssl37 >= 2.3.0-10.1
  • libssl37-32bit >= 2.3.0-10.1
  • libssl37-debuginfo >= 2.3.0-10.1
  • libssl37-debuginfo-32bit >= 2.3.0-10.1
  • libssl38 >= 2.3.4-3.1
  • libssl38-32bit >= 2.3.4-3.1
  • libssl38-debuginfo >= 2.3.4-3.1
  • libssl38-debuginfo-32bit >= 2.3.4-3.1
  • libssl43 >= 2.5.3-5.3.1
  • libssl43-32bit >= 2.5.3-5.3.1
  • libssl43-debuginfo >= 2.5.3-5.3.1
  • libssl43-debuginfo-32bit >= 2.5.3-5.3.1
  • libtls10 >= 2.3.4-3.1
  • libtls10-32bit >= 2.3.4-3.1
  • libtls10-debuginfo >= 2.3.4-3.1
  • libtls10-debuginfo-32bit >= 2.3.4-3.1
  • libtls15 >= 2.5.3-5.3.1
  • libtls15-32bit >= 2.5.3-5.3.1
  • libtls15-debuginfo >= 2.5.3-5.3.1
  • libtls15-debuginfo-32bit >= 2.5.3-5.3.1
  • libtls9 >= 2.3.0-10.1
  • libtls9-32bit >= 2.3.0-10.1
  • libtls9-debuginfo >= 2.3.0-10.1
  • libtls9-debuginfo-32bit >= 2.3.0-10.1
Patchnames:
openSUSE-2017-222
openSUSE-2017-561
openSUSE Leap 42.3
  • libopenssl1_0_0-steam >= 1.0.2k-4.3.1
  • libopenssl1_0_0-steam-32bit >= 1.0.2k-4.3.1
  • libopenssl1_0_0-steam-debuginfo >= 1.0.2k-4.3.1
  • libopenssl1_0_0-steam-debuginfo-32bit >= 1.0.2k-4.3.1
  • openssl-steam >= 1.0.2k-4.3.1
  • openssl-steam-debugsource >= 1.0.2k-4.3.1
Patchnames:
openSUSE-2018-168


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 compat-openssl098 Released
SUSE Linux Enterprise Desktop 12 SP1 openssl Released
SUSE Linux Enterprise Desktop 12 SP2 compat-openssl098 Released
SUSE Linux Enterprise Desktop 12 SP2 openssl Not affected
SUSE Linux Enterprise Module for Legacy Software 12 compat-openssl098 Released
SUSE Linux Enterprise SDK 11 SP4 openssl Released
SUSE Linux Enterprise SDK 12 SP1 openssl Released
SUSE Linux Enterprise SDK 12 SP2 openssl Not affected
SUSE Linux Enterprise Security Module 11.3 GA openssl1 Released
SUSE Linux Enterprise Server 11 SP3 LTSS openssl Released
SUSE Linux Enterprise Server 11 SP4 openssl Released
SUSE Linux Enterprise Server 12 GA LTSS openssl Released
SUSE Linux Enterprise Server 12 SP1 openssl Released
SUSE Linux Enterprise Server 12 SP2 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 compat-openssl097g Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 compat-openssl097g Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 compat-openssl098 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 compat-openssl098 Released
SUSE Studio Onsite 1.3 openssl Released